<?php

/*
 * Copyright (C) 2010 Julien VAUBOURG / Sébastien BADIA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

require_once("header.php");

try {
	if(!ADMIN)
		throw new Microsoft("Vous devez être administrateur.");

	if(isset($_GET["id"])) {

		// Suppression de l'entrée concernée
		Entree::delete($_GET["id"]);

		// Récupération des id de toutes les pages concernant cette entrée
		$req = Mysql::get()->query("SELECT id FROM ".TABLE_PREFIX."page WHERE entree=".intval($_GET["id"]));

		// Suppresion de ces pages
		while($page = $req->fetch(PDO::FETCH_COLUMN))
			Page::delete($page);

		header("Location: pages.php");
	}

} catch(Microsoft $e) {
	echo $e;
	require_once("footer.php");
}

?>
