INSERT INTO <DB:PREFIX>commentaire (id, texte, auteur, entree, date) VALUES
(1, 'Ceci est un $commentaire$ avec un lien interne [accueil]', 3, 2, '2010-01-07'),
(2, 'Ceci $*est*$ un *commentaire* avec un lien [[externe|http://www.google.fr]] 
Vous pouvez consulter [nos sites] (lien interne) et la page des [styles].', 2, 1, '2010-01-05'),
(3, 'Ahah ils se font de la pub :p', 1, 3, '2010-01-24'),
(4, 'Voici un premier commentaire.
Pour connaître l''heure du commentaire, il suffit de *passer la souris sur la date*.', 3, 1, '2010-01-24'),
(5, 'Les *mises en forme* sont $possibles$ : [[Google|http://www.google.fr]]', 2, 1, '2010-01-20'),
(6, '*Administrateur* : vous pouvez éditer ce commentaire en *double-cliquant* dessus ! Il suffira alors de le modifier et de cliquer à côté du champs de texte pour que ça s''enregistre en toute transparence. Vous pouvez aussi le supprimer en cliquant sur le lien, après confirmation.', 3, 1, '2010-01-24');

INSERT INTO <DB:PREFIX>entree (id, nom, auteur, datecreation) VALUES
(1, 'Accueil', 3, '2010-01-06 12:21:45'),
(2, 'Wiki', 2, '2010-01-05 23:39:23'),
(3, 'nos+sites', 1, '2010-01-03 12:23:23'),
(4, 'styles', 2, '2010-01-13 12:23:23');

INSERT INTO <DB:PREFIX>page (id, entree, texte, datemodif) VALUES
(1, 1, '#Accueil#
Bienvenue.

##Caractéristiques##
Les spécificités de ce wiki sont :
- Utilisation de PDO
- Utilisation d''ActiveRecord (*créé par nos soins*)
- Utilisation de la POO avec gestion des exceptions
- Utilisation de templates
- Utilisation de XML (fichier de config)
- Utilisation d'' AJAX (édition de commentaires)
- XHTML 1.0 Strict valide W3C
- CSS valide également (créée par nos soins)
- Compatible avec la plupart des navigateurs (et même IE6)

En plus des contraintes du projet :
- Aperçu en *temps réel* en dessous du textarea de la page d''édition
- Moteur de recherche basique dans le texte des versions (page d''index)
- Tags de mise en forme supportés dans les commentaires
- Procédure d''installation compléte et sécurisée (détection des droits et génération d''un .lock)

Un compte admin permet de :
- Rétablir n''importe quel version de n''importe quelle page
- Supprimer des pages
- Supprimer des commentaires
- Modifier des commentaires (en *AJAX* - double-cliquer sur le texte)

Le pseudo de l''admin est celui que vous avez indiqué à l''installation (valeur par défaut: admin).

Aucun moteur, framework, code généré ou trouvé sur internet n''a été utilisé.
Seule la fonction JS des boutons d''insertion des tags de mise en forme au surlignage [[a été importée|http://www.editeurjavascript.com/scripts/scripts_formulaires_2_318.php]].

Les commentaires ci-dessous présentent quelques exemples.', '2010-01-10 22:23:33'),

(2, 2, '#Wiki#
Site web dynamique dont les pages peuvent être modifiées par tout visiteur.', '2010-01-07 19:23:33'),

(3, 3, '#Nos sites# 
##Julien Vaubourg## 
[[Page perso|http://julien.vaubourg.com/]]

##Sébastien Badia## 
[[Page perso|http://sebg15.homeunix.org]]', '2010-01-10 22:23:33'),

(4, 4, '#Les styles#
Bienvenue sur le wiki de Julien et Sébastien.

##Quelques exemples##

Voici quelques exemples de style :
- Texte en *gras*
- Texte en $italique$
- Lien [Wiki]
- Lien [[externe|www.google.fr]]', '2010-01-08 23:36:11');

INSERT INTO <DB:PREFIX>auteur (id, nom, prenom, pseudo, mail, mdp, valide) VALUES
(2, 'Vaubourg', 'Julien', 'ju', 'julien@vaubourg.com', '0348dcd774a2892097b9d5c84ce882d3', NULL),
(3, 'Badia', 'Sébastien', 'seb', 'badia.seb@gmail.com', 'af2289331f3d2c843730ac459969dfab', NULL);
