<?php

/*
 * Copyright (C) 2010 Julien VAUBOURG / Sébastien BADIA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

class Auteur extends ActiveRecord {

	// @Abstract
	/** Ajoute un enregistrement dans la table et renvoie une instance de cet enregistrement */
	public static function add() {
		$auteur = new Auteur(Auteur::newRow());
		return $auteur;
	}

	/** Retourne l'identifiant de la ligne correspondant au pseudo donné en paramétre */
	public static function whatId($pseudo) {
		$req = Mysql::get()->query("SELECT id FROM ".TABLE_PREFIX."auteur WHERE pseudo=".Mysql::get()->quote($pseudo));
		$id = $req->fetch(PDO::FETCH_COLUMN);

		return $id;
	}
}
?>
