<?php

/*
 * Copyright (C) 2010 Julien VAUBOURG / Sébastien BADIA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

$tpl_main = file_get_contents("templates/main.tpl");

// Récupération de la bufferisation
$body = trim(ob_get_contents());

$nom = isset($_GET["nom"]) ? urldecode(htmlspecialchars($_GET["nom"]))." - " : null;
$title = Array(
	"edit" => $nom."Edition",
	"view" => $nom."WIKI",
	"diff" => $nom."Comparaison"
);

$connected = null;

if(CONNECTED) {
	$user = new Auteur(USER);
	$connected = "$user->prenom $user->nom ($user->pseudo) - <a href=\"registration.php?action=deco\">Déconnexion</a>";
} else
	$connected = '<a href="registration.php?action=form">S\'enregistrer</a>';

// Remplacement des tag TPL
$tpl_main = str_replace("<TPL:WIKI_NAME>", WIKI_NAME, $tpl_main);
$tpl_main = str_replace("<TPL:TITLE>", (isset($title[PAGE]) ? $title[PAGE]." - " : null).WIKI_NAME, $tpl_main);
$tpl_main = str_replace("<TPL:BODY>", $body, $tpl_main);
$tpl_main = str_replace("<TPL:CONNECTED>", $connected, $tpl_main);
$tpl_main = str_replace("<TPL:ONLOAD>", PAGE == "edit" ? ' onload="Admin.apercu(); Admin.dispApercu()"' : null, $tpl_main);

// Débufferisation et écriture de l'intégralité de la page sur la sortie standard
ob_end_clean();
exit($tpl_main);

?>
