CREATE TABLE IF NOT EXISTS <DB:PREFIX>commentaire (
	id smallint(5) unsigned NOT NULL auto_increment,
	texte text NOT NULL,
	auteur tinyint(2) unsigned NOT NULL,
	entree smallint(5) unsigned NOT NULL,
	date datetime NOT NULL,
	PRIMARY KEY (id)
-- MyISAM ne supporte pas les foreign, et InnoDB n'est pas forcément installé par défaut
--	INDEX c_auteur_ind (auteur),
--	INDEX c_entree_ind (entree),
--	FOREIGN KEY (auteur) REFERENCES utilisateur(id),
--	FOREIGN KEY (entree) REFERENCES entree(id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0;

CREATE TABLE IF NOT EXISTS <DB:PREFIX>entree (
	id smallint(5) NOT NULL auto_increment,
	nom varchar(20) NOT NULL,
	auteur tinyint(2) unsigned NOT NULL,
	datecreation datetime NOT NULL,
	PRIMARY KEY (id)
-- MyISAM ne supporte pas les foreign, et InnoDB n'est pas forcément installé par défaut
--	INDEX e_auteur_ind (auteur),
--	FOREIGN KEY (auteur) REFERENCES utilisateur(id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0;

CREATE TABLE IF NOT EXISTS <DB:PREFIX>page (
	id smallint(5) unsigned NOT NULL auto_increment,
	entree smallint(5) unsigned NOT NULL,
	texte text NOT NULL,
	datemodif datetime NOT NULL,
	PRIMARY KEY (id)
-- MyISAM ne supporte pas les foreign, et InnoDB n'est pas forcément installé par défaut
--	INDEX p_entree_ind (entree),
--	FOREIGN KEY (entree) REFERENCES entree(id),
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0;

CREATE TABLE IF NOT EXISTS <DB:PREFIX>auteur (
	id smallint(5) unsigned NOT NULL auto_increment,
	nom varchar(20) NOT NULL,
	prenom varchar(20) NOT NULL,
	pseudo varchar(20) NOT NULL,
	mail varchar(30) NOT NULL,
	mdp varchar(32) NOT NULL,
	valide varchar(32) ,
	PRIMARY KEY (id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=0;
