<?php

/*
 * Copyright (C) 2010 Julien VAUBOURG / Sébastien BADIA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

require_once("header.php");

try {
	// La page de la liste des pages du wiki peut aussi faire office de champs de recherche
	$search = !empty($_GET["search"]) ? "WHERE texte LIKE '%".addslashes(urldecode($_GET["search"]))."%'" : null;

	// Liste des pages
	$list = Page::toList("$search GROUP BY entree");

	// On retire la liste des versions pour chaque page, inutiles dans ce contexte
	$list = preg_replace("#\<ul id=\"versions\"\>[^/]+/ul>#", null, $list);

	// Paramétres d'affichage du champs de recherche
	$list = str_replace("<TPL:RESULT>", !empty($search) ? "<strong>Résultats pour</strong> <em>".htmlspecialchars(urldecode($_GET["search"]))."</em><br /><br />" : null, $list);
	$list = str_replace("<TPL:SEARCH>", !empty($search) ? urldecode($_GET["search"]) : null, $list);

	echo $list;

} catch(Microsoft $e) {
	echo $e;
}

require_once("footer.php");

?>
